Subject: RE: Re: IGMP v3 / snooping suggestion

From: Jung Cyndi-ACJ099 <[email-masked]>
Date: Mon, 19 Nov 2001 09:45:39 -0600

I guess you couldn't use a BSD machine as the router then - it needs to
see that IP address to determine which interface the IGMP was received on.

Or is that no longer true?

Cyndi

-----Original Message-----
From: Hugh Holbrook [mailto:[email-masked]]
Sent: Sunday, November 18, 2001 11:34 PM
To: Isidor Kouvelas
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: Re: Re: IGMP v3 / snooping suggestion

A router doing explicit tracking would have to treat 0.0.0.0
specially, recognizing that it might correspond to multiple hosts.
For example, it could use the L2 source address as the key for
explicit membership tracking when the reporter's IP source address is
0.0.0.0.

-Hugh

> What if you have more than one switches on the same router interface?
> Doesn't the use of a fixed address break explicit tracking?
> 
> thanks
> I
> 
> 
> Toerless Eckert writes:
> >Opinions about the following please: useful, necessary ?:
> >
> >IGMP Snooping switches may want to implement "proxy-reporting",
> >eg: summarizing reports received from downstream hosts, building internal
> >forwarding state and then simply reporting out of their own state in
> >response to IGMP queries received from the upstream DR. This very
> >much helps to offload the total number of IGMP reports the router needs
> >to see, especially with IGMPv3 where there's no report suppression.
> >While this feature is certainly something that better be optional,
> >it is certainly worthwhile.
> >
> >When something like this is to be implemented, the question arises as
> >to which reporter ip address the switch should use. In general, switches
> >do _not_ have ip addresses on all of their VLANs.
> >
> >So the idea Hugh had here is to use the address 0.0.0.0 for reports in these
> >cases. Question: Would this be an implicitly allowed case because 0.0.0.0
> >is always a valid source-ip-address on an ip-subnet (at least for certain
> >operations ?), or would that need to be / should this be explicitly noted
> >as a valid source address for reports - in the IGMPv3 spec ? And would it
> >be sufficient (not in violation of some other RFC) ?
> >
> >Beside the fact that this is very useful to make life easier for certain
> >products (IGMP Snooping switches), i also think this is just from the
> >pure service model quite valid - Unfortunately, RFC1112 (service model) 
> >does not discuss the case of a host that _only_ supports receipt of
> >ip multicast - but for such a host, what would be the need to have
> >an assigned ip address ?
> >
> >Summary: i'd like to have some note about 0.0.0.0 being a valid reporter
> >source ip address in the IGMPv3 spec, unless this would already be
> >implicitly deducable from whatever other RFCs there are, and i'd like to
> >know if this is sufficient to be able to use this then on hosts/switches
> >whenever there's an IGMPv3 querier.
> >
> >Cheers
> >	Toerless
>

---

From: Bill Fenner <[email-masked]>
Date: Wed, 28 Nov 2001 13:38:57 -0800

I have always thought that 0.0.0.0 was a perfectly fine source
address for an IGMP Report.  I think this was probably only ever
from informal discussions with Steve, though, and not an explicit
spec.

Note that RFC1122 does permit using 0.0.0.0 source address when you
don't know your IP address.  It only permits it as part of an
initialization procedure when you don't know your own address, but
devices without IP addresses never know their IP addresses, so I
think it's an OK stretch to make.

Cyndi's worry about BSD routers can be addressed by using the
IP_RECVIF socket option, which returns the interface index of the
reception interface as ancillary data with the packet.  I have some
unreleased code from 1998 or so that uses this functionality in
mrouted.

  Bill